Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513810 - i686-redhat-linux-gnu-pkg-config returns 64-bit build information
Summary: i686-redhat-linux-gnu-pkg-config returns 64-bit build information
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pkgconf
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-16 01:59 UTC by Nicholas Miell
Modified: 2018-01-09 16:50 UTC (History)
2 users (show)

Fixed In Version: pkgconf-1.3.12-2.fc27 pkgconf-1.3.12-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-01-08 03:18:05 UTC


Attachments (Terms of Use)

Description Nicholas Miell 2017-11-16 01:59:57 UTC
Description of problem:
Running the (theoretically) 32-bit pkg-config binary returns 64-bit build flags instead of the 32-bit build flags.

For example:
$ i686-redhat-linux-gnu-pkg-config --cflags --libs glib-2.0
-I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -lglib-2.0

This is because /usr/bin/i686-redhat-linux-gnu-pkg-config is a symlink to pkgconf, which ends up being the 64-bit binary if both the i686 and x86_64 packages are installed.

Version-Release number of selected component (if applicable):
pkgconf-pkg-config-1.3.10-1.fc26.x86_64

Comment 1 Fedora Update System 2018-01-05 19:05:32 UTC
pkgconf-1.3.12-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-f6c28f7e5c

Comment 2 Fedora Update System 2018-01-05 19:06:09 UTC
pkgconf-1.3.12-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-85b80e6600

Comment 3 Fedora Update System 2018-01-06 20:54:25 UTC
pkgconf-1.3.12-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-85b80e6600

Comment 4 Fedora Update System 2018-01-06 21:09:51 UTC
pkgconf-1.3.12-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-f6c28f7e5c

Comment 5 Fedora Update System 2018-01-08 03:18:05 UTC
pkgconf-1.3.12-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2018-01-09 16:50:16 UTC
pkgconf-1.3.12-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.